$(document).ready(function() {
    // Přidá hned na začátku všem inputům warning zprávy
    $("input[type='text'], input[type='password'], input[type='email']").each(function() {
        $(this).after("<span class='warning warning-js' id='warning" +
                $(this).attr('id') + "'></span>");
    });
    
    // Při kliknutí na prvek přidá hned viditelnou zprávu o nutnosti vyplnění
    $("input").focus(function() {
        if ($(this).attr('required') && !$(this).val()) {
            $("#warning" + $(this).attr('id')).text('Políčko musí být vyplněno.');
        }
    });
    
    /*
     * Při změně hodnoty políčka zjistí, zda políčko musí být vyplněno a pokud ano,
     * zjišťuje, jestli tomu tak opravdu je. Také kontroluje, jak dlouhý obsah
     * políčka je.
     */
    $("input").keyup(function() {
        // Vyplněnost
        if ($(this).attr('required') && !$(this).val()) {
            $("#warning" + $(this).attr('id')).text('Políčko musí být vyplněno.');
        }
        else {
            $("#warning" + $(this).attr('id')).text('');
        }
        
        // Minimální délka
        if ($(this).attr('minlength') > $(this).val().length) {
            $("#warning" + $(this).attr('id')).text('Políčko musí mít minimální '
                    + 'délku ' + $(this).attr('minlength') + '.');
        }
        else {
            $("#warning" + $(this).attr('id')).text('');
        }
    });
    
    // Zjistí, zda opakování hesla se shoduje
    $("#repeat").keyup(function() {
        if ($(this).val() !== $("#password").val()) {
            $("#warning" + $(this).attr('id')).text('Hesla se neshodují.');
        }
        else {
            $("#warning" + $(this).attr('id')).text('');
        }
    });
    
    // Kontroluje správnost E-mailu (i když to nefunguje správně a nechápu proč)
    $("input[type='email']").keyup(function() {
        var regex = '[a-zA-Z.0-9\-_]+@[a-zA-Z0-9]+\.[a-z]{2,6}';
        
        if (!$(this).val().match(regex)) {
            $("#warning" + $(this).attr('id')).text('E-mail není ve správném formátu.');
        }
        else {
            $("#warning" + $(this).attr('id')).text('');
        }
    });
});